From d0a11fa6159bf83305cdb6d55262ebdcb91771be Mon Sep 17 00:00:00 2001
From: Daniel Hartwig <mandyke@gmail.com>
Date: Sat, 17 Dec 2011 11:52:53 +0800
Subject: [PATCH] Tidy use of prompt_string.

---
 src/apt_config_treeitems.cc     |    2 +-
 src/cmdline/cmdline_prompt.cc   |    2 +-
 src/cmdline/cmdline_resolver.cc |    2 +-
 src/menu_text_layout.cc         |    4 ++--
 src/ui.cc                       |    4 ++--
 5 files changed, 7 insertions(+), 7 deletions(-)

diff --git a/src/apt_config_treeitems.cc b/src/apt_config_treeitems.cc
index 59f45f4..a037417 100644
--- a/src/apt_config_treeitems.cc
+++ b/src/apt_config_treeitems.cc
@@ -276,7 +276,7 @@ namespace aptitude
 
 	  void edit()
 	  {
-	    prompt_string(ssprintf(_("Editing \"%ls\""), description.c_str()),
+	    prompt_string(ssprintf(_("Editing \"%ls\": "), description.c_str()),
 			  aptcfg->Find(item, dflt.c_str()),
 			  cw::util::arg(sigc::mem_fun(this, &string_config_treeitem::set_text)),
 			  NULL,
diff --git a/src/cmdline/cmdline_prompt.cc b/src/cmdline/cmdline_prompt.cc
index eb94fac..f650ba4 100644
--- a/src/cmdline/cmdline_prompt.cc
+++ b/src/cmdline/cmdline_prompt.cc
@@ -792,7 +792,7 @@ static void cmdline_parse_changelog(string response, const shared_ptr<terminal_m
   else
     do_cmdline_changelog(packages, term_metrics);
 
-  prompt_string(_("Press Return to continue"));
+  prompt_string(_("Press Return to continue."));
 }
 
 static void cmdline_parse_why(string response,
diff --git a/src/cmdline/cmdline_resolver.cc b/src/cmdline/cmdline_resolver.cc
index f17f73a..3846f2f 100644
--- a/src/cmdline/cmdline_resolver.cc
+++ b/src/cmdline/cmdline_resolver.cc
@@ -1048,7 +1048,7 @@ cmdline_resolve_deps(pkgset &to_install,
 		    string response;
 // FIXME: translate Y, N
 		    if(!assume_yes)
-		      response = prompt_string(_("No solution found within the allotted time.  Try harder? [Y/n]"));
+		      response = prompt_string(_("No solution found within the allotted time.  Try harder? [Y/n] "));
 
 		    string::size_type loc=0;
 		    while(loc<response.size() && isspace(response[loc]))
diff --git a/src/menu_text_layout.cc b/src/menu_text_layout.cc
index f3cbb1a..9b8b34c 100644
--- a/src/menu_text_layout.cc
+++ b/src/menu_text_layout.cc
@@ -72,8 +72,8 @@ bool menu_text_layout::find_search_back_enabled()
 
 bool menu_text_layout::find_search_back()
 {
-  prompt_string(_("Search backwards for: "),
-		cw::util::transcode(last_search),
+  prompt_string(W_("Search backwards for: "),
+		last_search,
 		cw::util::arg(sigc::mem_fun(this, &menu_text_layout::do_find_search_back)),
 		NULL,
 		NULL,
diff --git a/src/ui.cc b/src/ui.cc
index 6f3bfbd..7b5a68c 100644
--- a/src/ui.cc
+++ b/src/ui.cc
@@ -256,7 +256,7 @@ static cw::fragment *apt_error_fragment()
 // Handles "search" dialogs for pagers
 static void pager_search(cw::pager &p)
 {
-  prompt_string(W_("Search for:"),
+  prompt_string(W_("Search for: "),
 		p.get_last_search(),
 		cw::util::arg(sigc::mem_fun(p, &cw::pager::search_for)),
 		NULL,
@@ -2232,7 +2232,7 @@ static void do_dump_resolver()
   static cw::editline::history_list history;
 
   if(resman != NULL && resman->resolver_exists())
-    prompt_string(_("File to which the resolver state should be dumped:"),
+    prompt_string(_("File to which the resolver state should be dumped: "),
 		  "",
 		  cw::util::arg(sigc::ptr_fun(handle_dump_resolver_response)),
 		  NULL,
-- 
1.7.5.4

